<?php
// Version: 1.1; BoardIndex

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// Show some statistics next to the link tree if SP1 info is off.
	echo '
', theme_linktree(), '';
	if (!$settings['show_sp1_info'])
		echo '
				', $txt[19], ': ', $context['common_stats']['total_members'], ' &nbsp;&#8226;&nbsp; ', $txt[95], ': ', $context['common_stats']['total_posts'], ' &nbsp;&#8226;&nbsp; ', $txt[64], ': ', $context['common_stats']['total_topics'], '
				', ($settings['show_latest_member'] ? '<br />' . $txt[201] . ' <b>' . $context['common_stats']['latest_member']['link'] . '</b>' . $txt[581] : '');
	echo '</td></tr>';


	/* Each category in categories is made up of:
	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),
	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down image),
	and boards. (see below.) */
	$first = true;
	foreach ($context['categories'] as $category)
	{
		$first = false;


		// Assuming the category hasn't been collapsed...
		if (!$category['is_collapsed'])
		{
			echo '
		';

			/* Each board in each category's boards has:
			new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),
			children (see below.), link_children (easier to use.), children_new (are they new?),
			topics (# of), posts (# of), link, href, and last_post. (see below.) */
			foreach ($category['boards'] as $board)
			{
				echo '
			<tr>';
				echo '<td width="2%" onclick="window.location=\'', $board['href'], '\';"';

				if ($board['new'])
					echo 'style="background-color: #40ff40;"';
				// This board doesn't have new posts, but its children do.
				elseif ($board['children_new'])
					echo 'style="background-color: #ffff40;"';
				// No new posts at all! The agony!!
				else
					echo 'style="background-color: #ff4040;"';

				echo '>&nbsp;</td>';

				echo '<td>
					<b>';

echo '<a href="', $board['href'], '" name="b', $board['id'], '">', $board['name'], '</a></b> - ';
	if (!empty($board['moderators']))
		echo '', count($board['moderators']) == 1 ? $txt[298] : $txt[299], ': ', implode(', ', $board['link_moderators']), ' - ';
echo '', $board['posts'], ' ', $txt[21], '/', $board['topics'],' ', $txt[330], '';

				// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)
				if (!empty($board['children']))
				{
					echo '<br />';
					// Sort the links into an array with new boards bold so it can be imploded.
					$children = array();
					/* Each child in each board's children has:
							id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */
					foreach ($board['children'] as $child)
					{
							$child['link'] = '<a href="' . $child['href'] . '" title="' . ($child['new'] ? $txt[333] : $txt[334]) . ' (' . $txt[330] . ': ' . $child['topics'] . ', ' . $txt[21] . ': ' . $child['posts'] . ')">' . $child['name'] . '</a>';
							$children[] = $child['new'] ? '<b>' . $child['link'] . '</b>' : $child['link'];
					}

					echo '<span class="smalltext"><b>', $txt['parent_boards'], '</b>: ', implode(', ', $children), '</span></td></tr>
				';
				}
				else
				{
					echo '</td></tr>';
				}
			}

			echo '
		';
		}
		echo '
	';
	}

	if ($context['user']['is_logged'])
	{


		// Mark read button.
		   $mark_read_button = array('markread' => array('text' => 452, 'image' => 'markread.gif', 'lang' => true, 'url' => $scripturl . '?action=markasread;sa=all;sesc=' . $context['session_id']));

		// Show the mark all as read button?
		if ($settings['show_mark_read'] && !empty($context['categories']))
				echo '

							 <!--', template_button_strip($mark_read_button, 'top'), '-->
						<tr><td colspan="2" align="right"><small><a href="', $scripturl, 'action=markasread;sa=all;sesc=', $context['session_id'], '">' , $txt[452] , '</a></small></td></tr>
					
				';
	}




}

?>